Package org.silverpeas.mobile.shared.dto.navigation

## Class ApplicationInstanceDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO
  - - org.silverpeas.mobile.shared.dto.navigation.ApplicationInstanceDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<SilverpeasObjectDTO>`

      public class ApplicationInstanceDTO
      extends SilverpeasObjectDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationInstanceDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAbleToStoreContent()` |
    `boolean` | `getCommentable()` |
    `String` | `getExtraId()` |
    `int` | `getFileSharing()` |
    `int` | `getFolderSharing()` |
    `boolean` | `getNotifiable()` |
    `Map<String,​String>` | `getParameters()` |
    `boolean` | `getPersonnal()` |
    `int` | `getPublicationSharing()` |
    `RightDTO` | `getRights()` |
    `String` | `getType()` |
    `boolean` | `getWorkflow()` |
    `void` | `setAbleToStoreContent​(boolean ableToStoreContent)` |
    `void` | `setCommentable​(boolean commentable)` |
    `void` | `setExtraId​(String extraId)` |
    `void` | `setFileSharing​(int fileSharing)` |
    `void` | `setFolderSharing​(int folderSharing)` |
    `void` | `setNotifiable​(boolean notifiable)` |
    `void` | `setParameters​(Map<String,​String> parameters)` |
    `void` | `setPersonnal​(boolean personnal)` |
    `void` | `setPublicationSharing​(int publicationSharing)` |
    `void` | `setRights​(RightDTO rights)` |
    `void` | `setType​(String type)` |
    `void` | `setWorkflow​(boolean workflow)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO

      `compareTo, getId, getLabel, getOrderNum, setId, setLabel, setOrderNum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationInstanceDTO

          public ApplicationInstanceDTO()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getRights

          public RightDTO getRights()

    - #### setRights

          public void setRights​(RightDTO rights)

    - #### getCommentable

          public boolean getCommentable()

    - #### setCommentable

          public void setCommentable​(boolean commentable)

    - #### getNotifiable

          public boolean getNotifiable()

    - #### setNotifiable

          public void setNotifiable​(boolean notifiable)

    - #### getAbleToStoreContent

          public boolean getAbleToStoreContent()

    - #### setAbleToStoreContent

          public void setAbleToStoreContent​(boolean ableToStoreContent)

    - #### getWorkflow

          public boolean getWorkflow()

    - #### setWorkflow

          public void setWorkflow​(boolean workflow)

    - #### getExtraId

          public String getExtraId()

    - #### setExtraId

          public void setExtraId​(String extraId)

    - #### setFolderSharing

          public void setFolderSharing​(int folderSharing)

    - #### setPublicationSharing

          public void setPublicationSharing​(int publicationSharing)

    - #### setFileSharing

          public void setFileSharing​(int fileSharing)

    - #### getFolderSharing

          public int getFolderSharing()

    - #### getPublicationSharing

          public int getPublicationSharing()

    - #### getFileSharing

          public int getFileSharing()

    - #### getPersonnal

          public boolean getPersonnal()

    - #### setPersonnal

          public void setPersonnal​(boolean personnal)

    - #### setParameters

          public void setParameters​(Map<String,​String> parameters)

    - #### getParameters

          public Map<String,​String> getParameters()